Bug 255301 - emulators/virtualbox-ose: Update to 6.1.20
Summary: emulators/virtualbox-ose: Update to 6.1.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Virtualbox Team (Nobody)
URL: https://www.virtualbox.org/wiki/Chang...
Keywords: needs-qa
Depends on: 255208
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-21 11:47 UTC by Graham Perrin
Modified: 2021-04-23 12:59 UTC (History)
4 users (show)

See Also:
madpilot: maintainer-feedback+
koobs: merge-quarterly?


Attachments
Patches for VBox 6.1.20 (1.21 KB, application/gzip)
2021-04-22 21:28 UTC, Mario Lobo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Perrin 2021-04-21 11:47:59 UTC
Please update relevant ports, when you can. Thank you.
Comment 1 Li-Wen Hsu freebsd_committer 2021-04-21 13:00:05 UTC
(In reply to Graham Perrin from comment #0)
If possible, please also help to prepare the patch.
Comment 2 Graham Perrin 2021-04-21 13:20:36 UTC
(I'd love to, but I'm not a developer. Sorry!)
Comment 3 Guido Falsi freebsd_committer 2021-04-21 13:20:54 UTC
I was planning on working on this already, anyway the new release was announced a pair of hours ago on the mailing list.

Updating virtualbox is not as easy as updating other software, some time will be required to update the port and adapt patches.
Comment 4 Li-Wen Hsu freebsd_committer 2021-04-21 16:00:43 UTC
(In reply to Graham Perrin from comment #2)
You don't have to be a developer to contribute to FreeBSD, and even if you're not having time on porting, it's still valuable to help testing.

Also, keep letting upstream know that there are many demands of using FreeBSD as VirtualBox host and guest is always a good idea.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2021-04-22 02:10:53 UTC
^Triage: Bugfix release, MFH
Comment 6 Guido Falsi freebsd_committer 2021-04-22 07:48:16 UTC
I've created an update patch:

https://reviews.freebsd.org/D29918

But I'm holding it for now, priority is to fix bug #255208
Comment 7 Mario Lobo 2021-04-22 20:51:23 UTC
Hi there;

Here is my report on the attempt with 6.1.20.

- patch-include-iprt-x86.h

A change on some comment (nothing to do with and AFTER the actual patch) made applying the patch fail. Corrected.

- patch-src_VBox_Devices_Audio_DrvHostALSAAudio.cpp

The cpp file name changed from DrvHostALSAAudio.cpp
to DrvHostAudioAlsa.cpp, so redid the diff and the patch name bacame patch-src_VBox_Devices_Audio_DrvHostAudioAlsa.cpp

- patch-src_VBox_Devices_Audio_DrvHostOSSAudio.cpp

Same reason and same resolution as above. DrvHostOSSAudio.cpp -> DrvHostAudioOss.cpp and the patch renamed to patch-src_VBox_Devices_Audio_DrvHostAudioOss.cpp

With those changes, VBox 6.1.20 compiles and runs as perfectly as 6.1.18.

Using it right now!.
Comment 8 Mario Lobo 2021-04-22 21:28:15 UTC
Created attachment 224365 [details]
Patches for VBox 6.1.20

For whoever wants to try it out.

2 things to do:

1) remove the old  patch-src_VBox_Devices_Audio_DrvHostALSAAudio.cpp and patch-src_VBox_Devices_Audio_DrvHostOSSAudio.cpp filesand copy the attached ones to the files directory.

2) Edit virtualbox-ose and virtualbox-ose-kmod to version 6.1.20 and do a make NO_CHECKSUM=yes DISABLE_SIZE=yes patch first to see that the patches apply cleanly then make NO_CHECKSUM=yes DISABLE_SIZE=yes
Comment 9 Guido Falsi freebsd_committer 2021-04-22 21:40:49 UTC
(In reply to Mario Lobo from comment #7)

I already posted a review linked in comment #6

It includes all your suggestions, works without manual steps.

I also made minor tweaks to other patches.

I had little time for testing it today, plan to proceed with it tomorrow.
Comment 10 Mario Lobo 2021-04-22 21:48:23 UTC
Sorry

I didn't read the thread. Went straight to trying it out.

You're faster than everyone else :D!

Thanks, Guido!
Comment 11 commit-hook freebsd_committer 2021-04-23 12:57:07 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d2441db781c717b17fafc2a9980b0cfa97b7ba9b

commit d2441db781c717b17fafc2a9980b0cfa97b7ba9b
Author:     Guido Falsi <madpilot@FreeBSD.org>
AuthorDate: 2021-04-23 12:52:21 +0000
Commit:     Guido Falsi <madpilot@FreeBSD.org>
CommitDate: 2021-04-23 12:56:33 +0000

    emulators/virtualbox-ose: Update to 6.1.20

    - Also update related kmod and additions ports
    - In additions, use INSTALL_LIB to install X11 modules, so binaries
      get stripped
    - Trim some `#if __FreeBSD_version` checks for unsupported FreeBSD
      versions from patches

    PR:             255301

 emulators/virtualbox-ose-additions/Makefile        |  7 ++--
 emulators/virtualbox-ose-additions/distinfo        |  6 ++--
 emulators/virtualbox-ose-kmod/Makefile             |  3 +-
 emulators/virtualbox-ose-kmod/distinfo             |  6 ++--
 emulators/virtualbox-ose/Makefile                  |  2 +-
 emulators/virtualbox-ose/distinfo                  | 10 +++---
 .../virtualbox-ose/files/patch-include-iprt-x86.h  |  6 ++--
 ...Box_Additions_freebsd_vboxvfs_vboxvfs__vfsops.c | 10 ++----
 ...ch-src_VBox_Devices_Audio_DrvHostAudioAlsa.cpp} |  8 ++---
 ...tch-src_VBox_Devices_Audio_DrvHostAudioOss.cpp} |  8 ++---
 ...ox_Runtime_r0drv_freebsd_thread-r0drv-freebsd.c | 38 +++++++++-------------
 11 files changed, 45 insertions(+), 59 deletions(-)
Comment 12 Guido Falsi freebsd_committer 2021-04-23 12:59:19 UTC
Update committed.